Package org.apache.jmeter.report.dashboard

# Class GenerationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.apache.jmeter.report.dashboard.GenerationException

All Implemented Interfaces:
  `Serializable`

public class GenerationException extends Exception
The class GenerationException provides an exception when report generation fails.

Since:
  3.0
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GenerationException()`
  Instantiates a new configuration exception.
  `GenerationException(String message)`
  Instantiates a new configuration exception.
  `GenerationException(String message, Throwable cause)`
  Instantiates a new configuration exception.

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GenerationException

    public GenerationException()
    Instantiates a new configuration exception.

  - ### GenerationException

    public GenerationException(String message)
    Instantiates a new configuration exception.
    Parameters:
      `message` - the message

  - ### GenerationException

    public GenerationException(String message, Throwable cause)
    Instantiates a new configuration exception.
    Parameters:
      `message` - the message
      `cause` - the cause